Package ec.display.chart

# Class BarChartStatistics

java.lang.Object
ec.Statistics
ec.display.chart.ChartableStatistics
ec.display.chart.BarChartStatistics

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class BarChartStatistics extends ChartableStatistics

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `org.jfree.data.category.DefaultCategoryDataset`
  `dataset`

  ### Fields inherited from class ec.display.chart.ChartableStatistics

  `P_TITLE, P_XAXIS, P_YAXIS, pdf, PDF, title, xlabel, ylabel`

  ### Fields inherited from class ec.Statistics

  `children, P_CHILD, P_MUZZLE, P_NUMCHILDREN, P_SILENT, P_SILENT_FILE, P_SILENT_PRINT, silentFile, silentPrint`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BarChartStatistics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `makeBar(int seriesID, double[] genes)`
  `org.jfree.chart.JFreeChart`
  `makeChart()`
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.

  ### Methods inherited from class ec.Statistics

  `enteringInitialPopulationStatistics, enteringSteadyStateStatistics, finalStatistics, generationBoundaryStatistics, individualsBredStatistics, individualsEvaluatedStatistics, postBreedingStatistics, postCheckpointStatistics, postEvaluationStatistics, postInitializationStatistics, postPostBreedingExchangeStatistics, postPreBreedingExchangeStatistics, preBreedingStatistics, preCheckpointStatistics, preEvaluationStatistics, preInitializationStatistics, prePostBreedingExchangeStatistics, prePreBreedingExchangeStatistics`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataset

    public org.jfree.data.category.DefaultCategoryDataset dataset

- ## Constructor Details

  - ### BarChartStatistics

    public BarChartStatistics()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Description copied from interface: `Setup`
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.
    Specified by:
      `setup` in interface `Setup`
    Overrides:
      `setup` in class `ChartableStatistics`

  - ### makeChart

    public org.jfree.chart.JFreeChart makeChart()
    Specified by:
      `makeChart` in class `ChartableStatistics`

  - ### makeBar

    public void makeBar(int seriesID, double[] genes)